package com.gic.haoban.manage.web.vo.chat;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.gic.web.common.jsonSeralizer.PhoneNumberJsonSeralizer;

import java.io.Serializable;

/**
 * @author shangfeng
 * @date 2024-10-09 13:48:42
 */
public class GroupChatDataJoinDetailVO implements Serializable {

    private static final long serialVersionUID = -9115767612425777699L;

    /**
     * 活动id
     */
    private String chatActivityId;

    /**
     * 会员名称
     */
    private String name;

    /**
     * 会员手机
     */
    @JsonSerialize(using = PhoneNumberJsonSeralizer.class)
    private String phoneNumber;

    /**
     * 会员别名昵称
     */
    private String nickName;

    /**
     * 会员是否删除
     * 0 正常
     * 1 已删除
     */
    private Integer memberDeleteFlag;

    /**
     * 邀请进群人数
     */
    private Integer inviteeNum;

    /**
     * 有效邀请人数
     */
    private Integer effectiveInviteeNum;

    /**
     * 入群客户数
     */
    private Integer inviteeMemberNum;

    /**
     * 入群游客数
     */
    private Integer inviteeNonMemberNum;

    /**
     * 新增会员数
     */
    private Integer newMemberNum;

    /**
     * 发放积分数
     */
    private Integer integralCnt;

    /**
     * 发放成长值数
     */
    private Integer growCnt;

    /**
     * 发放卡券数
     */
    private Integer cardCnt;

    /**
     * 参与会员id
     */
    private String inviterMemberId;

    public String getChatActivityId() {
        return chatActivityId;
    }

    public void setChatActivityId(String chatActivityId) {
        this.chatActivityId = chatActivityId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public Integer getMemberDeleteFlag() {
        return memberDeleteFlag;
    }

    public void setMemberDeleteFlag(Integer memberDeleteFlag) {
        this.memberDeleteFlag = memberDeleteFlag;
    }

    public Integer getInviteeNum() {
        return inviteeNum;
    }

    public void setInviteeNum(Integer inviteeNum) {
        this.inviteeNum = inviteeNum;
    }

    public Integer getEffectiveInviteeNum() {
        return effectiveInviteeNum;
    }

    public void setEffectiveInviteeNum(Integer effectiveInviteeNum) {
        this.effectiveInviteeNum = effectiveInviteeNum;
    }

    public Integer getInviteeMemberNum() {
        return inviteeMemberNum;
    }

    public void setInviteeMemberNum(Integer inviteeMemberNum) {
        this.inviteeMemberNum = inviteeMemberNum;
    }

    public Integer getInviteeNonMemberNum() {
        return inviteeNonMemberNum;
    }

    public void setInviteeNonMemberNum(Integer inviteeNonMemberNum) {
        this.inviteeNonMemberNum = inviteeNonMemberNum;
    }

    public Integer getNewMemberNum() {
        return newMemberNum;
    }

    public void setNewMemberNum(Integer newMemberNum) {
        this.newMemberNum = newMemberNum;
    }

    public Integer getIntegralCnt() {
        return integralCnt;
    }

    public void setIntegralCnt(Integer integralCnt) {
        this.integralCnt = integralCnt;
    }

    public Integer getGrowCnt() {
        return growCnt;
    }

    public void setGrowCnt(Integer growCnt) {
        this.growCnt = growCnt;
    }

    public Integer getCardCnt() {
        return cardCnt;
    }

    public void setCardCnt(Integer cardCnt) {
        this.cardCnt = cardCnt;
    }

    public String getInviterMemberId() {
        return inviterMemberId;
    }

    public void setInviterMemberId(String inviterMemberId) {
        this.inviterMemberId = inviterMemberId;
    }
}
